%global srcname ufl

Name:           python-%{srcname}
Version:        1.0.0
Release:        4%{?dist}
Summary:        A compiler for finite element variational forms

Group:          Applications/Engineering
License:        LGPLv3+
URL:            http://www.fenicsproject.org
Source0:        http://launchpad.net/%{srcname}/1.0.x/%{version}/+download/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
The Unified Form Language (UFL) is a domain specific language for declaration
of finite element discretizations of variational forms. More precisely, it
defines a flexible interface for choosing finite element spaces and defining
expressions for weak forms in a notation close to mathematical notation.

%package        demo
Summary:        Demo files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    demo
The %{name}-demo package contains demo files for %{name}.

%package        test
Summary:        Test files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       python-nose

%description    test
The %{name}-test package contains test files for %{name}.

%prep
%setup -q -n %{srcname}-%{version}
# Fix permissions

chmod +x test/test_*.py
chmod -x test/mock.py
# Remove shebang
sed -i -e '/^#!\//, 1d' test/ufltestcase.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
mkdir %{buildroot}%{python_sitelib}/%{srcname}/demo/
install -Dp -m 0644 demo/* %{buildroot}%{python_sitelib}/%{srcname}/demo/
mkdir %{buildroot}%{python_sitelib}/%{srcname}/test/
cp -R test/* %{buildroot}%{python_sitelib}/%{srcname}/test/
chmod +x %{buildroot}%{python_sitelib}/%{srcname}/demo/clean.sh

%files
%doc ChangeLog COPYING COPYING.LESSER TODO
%{_mandir}/man1/*.*
%{_bindir}/ufl*
%{_bindir}/form2ufl
%{python_sitelib}/%{srcname}/
%{python_sitelib}/UFL*.egg-info
%exclude %{python_sitelib}/%{srcname}/demo/

%files demo
%doc COPYING.LESSER
%{python_sitelib}/%{srcname}/demo/

%files test
%doc COPYING.LESSER
%{python_sitelib}/%{srcname}/test/

%changelog
* Sun Nov 18 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-4
- License file added to subpackages
- Removed check section
- Other minor changes

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-3
- License issue fixed
- Test subpackage
- Demo subpackage

* Sun Mar 25 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-2
- Minor changes

* Sun Mar 04 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-1
- Updated to new upstream version 1.0.0

* Sat Mar 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.1-0.1.pre
- Initial package
